/**********************************************************************
 * Copyright (c) 2003 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
*
 * Contributors:
 *    IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.monitor.core;
/**
 * A listener for changes to the requests.
 */
public interface IRequestListener {
	/**
	 * The given request has been added to the list.
	 * 
	 * @param rr
	 */
	public void requestAdded(IRequest rr);
	
	/**
	 * The given request has been changed.
	 * 
	 * @param rr
	 */
	public void requestChanged(IRequest rr);
	
	/**
	 * The given request is been removed from the list.
	 * 
	 * @param rr
	 */
	public void requestRemoved(IRequest rr);
}