/**********************************************************************
 * Copyright (c) 2003 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
*
 * Contributors:
 *    IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.monitor.core.internal;

import java.io.IOException;
import java.net.Socket;

import org.eclipse.monitor.core.IMonitor;
import org.eclipse.monitor.core.IProtocolAdapterDelegate;
import org.eclipse.monitor.core.MonitorCore;
/**
 * 
 */
public class TCPIPProtocolAdapter implements IProtocolAdapterDelegate {
	public void parse(IMonitor monitor, Socket in, Socket out) throws IOException {
		Request request = new Request(MonitorCore.getProtocolAdapter("TCPIP"), monitor.getLocalPort(), monitor.getRemoteHost(), monitor.getRemotePort());
		Connection conn = new Connection(in, out);
		DefaultThread requestThread = new DefaultThread(conn, request, in.getInputStream(), out.getOutputStream(), true);
		requestThread.start();
		new DefaultThread(conn, request, out.getInputStream(), in.getOutputStream(), false).start();
	}
}