/**********************************************************************
 * Copyright (c) 2003 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
*
 * Contributors:
 *    IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.monitor.ui;

import org.eclipse.swt.widgets.Composite;
/**
 * Viewer interface for displaying request and response messages
 */
public interface IContentViewer {
	//message to display
	//public static final byte REQUEST_MSG = 0;
	//public static final byte RESPONSE_MSG = 1;

	/**
	 * Initializes the viewer so it can be used to display 
	 * TCP/IP messages.  Requires the parent Composite that the
	 * viewer will display its information in, and a byte message
	 * (IRequestResponseViewer.REQUEST_MSG or IRequestResponseViewer.RESPONSE_MSG)
	 * to display either the tcpip request information, or the tcpip response
	 * information
	 * @param parent org.eclipse.widgets.Composite
	 * @param message byte
	 */
	public void init(Composite parent);
	
	/**
	 * Sets the IRequest object that the viewer is
	 * currently displaying.  The parameter should be null if
	 * no IRequest object is to be displayed.
	 * @param reqresp org.eclipse.tcpip.monitor.IRequest
	 */
	public void setContent(byte[] b);
		
	/**
	 * Disposes the Composite containing this viewer's TCP/IP message display
	 */
	public void dispose(); 
}