/**********************************************************************
 * Copyright (c) 2003 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
*
 * Contributors:
 *    IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.monitor.ui.internal;

import org.eclipse.monitor.core.IRequest;
import org.eclipse.monitor.core.IRequestListener;
import org.eclipse.monitor.ui.internal.view.MonitorView;
/**
 * Open the monitor view if there is new activity.
 */
public class RequestListener implements IRequestListener {
	public void requestAdded(IRequest rr) {
		if (MonitorUIPlugin.getShowOnActivityPreference()) {
			MonitorView.open(rr);
		}
	}

	public void requestChanged(IRequest rr) { }

	public void requestRemoved(IRequest rr) { }
}