package org.eclipse.monitor.ui.internal.view;

import org.eclipse.jface.action.Action;
import org.eclipse.jface.action.IAction;
import org.eclipse.monitor.core.IContentFilter;
/**
 * 
 */
public class FilterAction extends Action {
	protected IViewerManager vm;
	protected IContentFilter filter;
	protected boolean enabled;

	public FilterAction(IViewerManager vm, IContentFilter filter) {
		super(filter.getName(), IAction.AS_CHECK_BOX);
		this.vm = vm;
		this.filter = filter;
	}
	
	public void run() {
		if (!isChecked())
			vm.removeFilter(filter);
		else
			vm.addFilter(filter);
	}
}