/**
 * <copyright>
 *
 * Copyright (c) 2002-2003 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Contributors:
 *   IBM - Initial API and implementation
 *
 * </copyright>
 */
package org.eclipse.wsdl20.model;

/**
 * This interface represents an attribute information item from the 
 * WSDL 2.0 specification's abstract model. An attribute information 
 * item contains a local name, namespace and value.
 * 
 * @author Lawrence Mandel, IBM
 */
public interface AttributeInfoItem
{
  /**
   * Returns the local name of this attribute information item.
   * 
   * @return The local name of this attribute info item.
   */
  public String getLocalName();
  
  /**
   * Returns the namespace of this attribute information item.
   * 
   * @return The namespace of this attribute info item.
   */
  public String getNamespace();
  
  /**
   * Returns the value of this attribute information item.
   * 
   * @return The value of this attribute info item.
   */
  public String getValue();
}
