/**
 * <copyright>
 *
 * Copyright (c) 2002-2003 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Contributors:
 *   IBM - Initial API and implementation
 *
 * </copyright>
 */
package org.eclipse.wsdl20.model;

/**
 * This interface represents the include element information item in the
 * WSDL 2.0 specification's acstract model (section 4.1). An include
 * element information item specifies a WSDL document with the same
 * namespace as the document importing it to be used within the document
 * importing it.
 * An include element information item contains:
 * a required location attribute information item.
 * 
 * The XML representation of an include element information items is:
 * <include
 *   location="xs:anyURI" >
 *  <documentation />?
 * </include>
 * 
 * @author Lawrence Mandel, IBM
 */
public interface Include extends ElementInfoItem
{
  /**
   * Returns the location of the WSDL document to be included.
   * 
   * @return The location of the included document.
   */
  public String getLocation();
}
