/**
 * <copyright>
 *
 * Copyright (c) 2002-2003 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Contributors:
 *   IBM - Initial API and implementation
 *
 * </copyright>
 */
package org.eclipse.wsdl20.model;

/**
 * This interface represents the property constraint element information item
 * from the WSDL 2.0 specification's abstract model (section 2.7.2.4). A property
 * constraint refers to a complex type to constrain a property.
 * 
 * The XML representation of a property constraint is:
 * <constraint>
 *  xs:QName
 * </constraint>
 * 
 * @author Lawrence Mandel, IBM
 */
public interface PropertyConstraint extends ElementInfoItem
{
  /**
   * Returns the complex type that will constrain the property's value.
   * 
   * @return A String representing a QName for the complex type.
   */
  public String getConstraint();
}
