/**
 * <copyright>
 *
 * Copyright (c) 2002-2003 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Contributors:
 *   IBM - Initial API and implementation
 *
 * </copyright>
 */
package org.eclipse.wsdl20.model;

/**
 * This interface represents the property value element information item
 * from the WSDL 2.0 specification's abstract model (section 2.7.2.3).
 * A property value refers to a simple type to constrain a property.
 * 
 * The XML representation of a property value is:
 * <value>
 *  xs:anySimpleType
 * </value>
 * 
 * @author Lawrence Mandel, IBM
 */
public interface PropertyValue extends ElementInfoItem
{
  /**
   * Returns the simple type to constrain the property.
   * 
   * @return A String representing a anySimpleType.
   */
  public String getValue();
}
