/**
 * <copyright>
 *
 * Copyright (c) 2002-2003 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Contributors:
 *   IBM - Initial API and implementation
 *
 * </copyright>
 */
package org.eclipse.wsdl20.model;

/**
 * This interface represents the service endpoint element information item
 * from the WSDL 2.0 specification's abstract model (section 1.12). A
 * service endpoint defined a specific address where a service is located.
 * A service endpoint contains:
 * a required name attribute information item
 * a reqiured binding attribute information item
 * 
 * The XML representation of an endpoint is:
 * <endpoint
 *   name="xs:NCName" 
 *   binding="xs:QName" >
 *  <documentation />?
 * </endpoint>
 * 
 * @author Lawrence Mandel, IBM
 */
public interface ServiceEndpoint extends ElementInfoItem
{
  /**
   * Returns the binding the endpoint refers to.
   * 
   * @return The Binding the endpoint refers to.
   */
  public Binding getBinding();
}
