/**
 * <copyright>
 *
 * Copyright (c) 2002-2003 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Contributors:
 *   IBM - Initial API and implementation
 *
 * </copyright>
 */
package org.eclipse.wsdl20.model.impl;

import org.eclipse.wsdl20.model.AttributeInfoItem;

/**
 * An implementation of an attribute info item from the WSDL 2.0 abstract model.
 * 
 * @author Lawrence Mandel, IBM
 */
public class AttributeInfoItemImpl implements AttributeInfoItem
{
  protected String localName = null;
  protected String namespace = null;
  protected String value = null;
  
  /**
   * Constructor.
   * 
   * @param namespace The namespace of the attribute info item.
   * @param localname The local name of the attribute info item.
   * @param value The value of the attribute into item.
   */
  public AttributeInfoItemImpl(String namespace, String localname, String value)
  {
    if(namespace == null)
    {
      this.namespace = "";
    }
    else
    {
      this.namespace = namespace;
    }
  	this.localName = localname;
  	this.value = value;
  }
  /**
   * @see org.eclipse.wsdl20.model.AttributeInfoItem#getLocalName()
   */
  public String getLocalName()
  {
    return localName;
  }

  /**
   * @see org.eclipse.wsdl20.model.AttributeInfoItem#getNamespace()
   */
  public String getNamespace()
  {
    if(namespace == null)
    {
      namespace = "";
    }
    return namespace;
  }

  /**
   * @see org.eclipse.wsdl20.model.AttributeInfoItem#getValue()
   */
  public String getValue()
  {
    return value;
  }

}
