/**
 * <copyright>
 *
 * Copyright (c) 2002-2003 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Contributors:
 *   IBM - Initial API and implementation
 *
 * </copyright>
 */
package org.eclipse.wsdl20.model.impl;

import javax.xml.namespace.QName;

import org.eclipse.wsdl20.model.Feature;

/**
 * An implementation of a feature from the WSDL 2.0 specification.
 * 
 * @author Lawrence Mandel, IBM
 */
public class FeatureImpl extends ElementInfoItemImpl implements Feature
{
  private final String TRUE = "true";
  
  private String uri = null;
  
  /**
   * @see org.eclipse.wsdl20.model.Feature#getURI()
   */
  public String getURI()
  {
    if(uri == null)
    {
      uri = getAttributeInfoItemValue(Constants.NS_URI_EMPTY, Constants.ATTR_URI);
    }
    return uri;
  }
  
  /**
   * @see org.eclipse.wsdl20.model.Feature#isRequired()
   */
  public boolean isRequired()
  {
    String value = getAttributeInfoItemValue(Constants.NS_URI_EMPTY, Constants.ATTR_REQUIRED);
    if(value.equalsIgnoreCase(TRUE) || value.equalsIgnoreCase("1"))
     {
      return true;
    }
    return false;
  }

  /**
   * @see org.eclipse.wsdl20.model.ElementInfoItem#getQName()
   */
  public QName getQName()
  {
    return Constants.Q_ELEM_FEATURE;
  }

}
