/**
 * <copyright>
 *
 * Copyright (c) 2002-2003 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Contributors:
 *   IBM - Initial API and implementation
 *
 * </copyright>
 */
package org.eclipse.wsdl20.model.impl;

import javax.xml.namespace.QName;

import org.eclipse.wsdl20.model.Import;

/**
 * An implementation of an Import from the WSDL 2.0 specification.
 * 
 * @author Lawrence Mandel, IBM
 */
public class ImportImpl extends ElementInfoItemImpl implements Import
{ 
  private String namespace = null;
  private String location = null;
  
  /**
   * @see org.eclipse.wsdl20.model.Import#getImportNamespace()
   */
  public String getNamespace()
  {
    if(namespace == null)
    {  
      namespace = getAttributeInfoItemValue(Constants.NS_URI_EMPTY, Constants.ATTR_NAMESPACE);
    }
    return namespace;
  }
  
  /**
   * @see org.eclipse.wsdl20.model.Import#getLocation()
   * @see #setLocation
   */
  public String getLocation()
  {
    if(location == null)
    {  
      location = getAttributeInfoItemValue(Constants.NS_URI_EMPTY, Constants.ATTR_LOCATION);
    }
    return location;
  }

  /**
   * @see org.eclipse.wsdl20.model.ElementInfoItem#getQName()
   */
  public QName getQName()
  {
    return Constants.Q_ELEM_IMPORT;
  }

}
