/**
 * <copyright>
 *
 * Copyright (c) 2002-2003 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Contributors:
 *   IBM - Initial API and implementation
 *
 * </copyright>
 */
package org.eclipse.wsdl20.model.impl;

import org.eclipse.wsdl20.model.MessageReference;

/**
 * An implementation of a message reference from the WSDL 2.0 specification.
 * 
 * @author Lawrence Mandel, IBM
 */
public class MessageReferenceImpl extends ElementInfoItemImpl implements MessageReference
{
  protected final String IN = "in";
  protected final String OUT = "out";

  protected String direction = null;
  protected String messageref = null;
  /**
   * @see org.eclipse.wsdl20.model.MessageReference#getMessageReference()
   */
  public String getMessageReference()
  {
    if(messageref == null)
    {
      messageref = getAttributeInfoItemValue(Constants.NS_URI_EMPTY, Constants.ATTR_MESSAGE_REFERENCE);
    }
    return messageref;
  }

  /**
   * @see org.eclipse.wsdl20.model.MessageReference#getDirection()
   */
  public String getDirection()
  {
    if (direction == null)
    {
      if (qname == Constants.Q_ELEM_INPUT)
      {
        direction = IN;
      }
      else if (qname == Constants.Q_ELEM_OUTPUT)
      {
        direction = OUT;
      }
    }
    return direction;
  }

  /**
   * @see org.eclipse.wsdl20.model.MessageReference#getMessage()
   */
  public String getMessage()
  {
    return getAttributeInfoItemValue(Constants.NS_URI_EMPTY, Constants.ATTR_MESSAGE); 
  }

}
