/**
 * <copyright>
 *
 * Copyright (c) 2002-2003 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Contributors:
 *   IBM - Initial API and implementation
 *
 * </copyright>
 */
package org.eclipse.wsdl20.model.impl;

import javax.xml.namespace.QName;

import org.eclipse.wsdl20.model.Binding;
import org.eclipse.wsdl20.model.ServiceEndpoint;

/**
 * An implementation of a service endpoint from the WSDL 2.0 specification.
 * 
 * @author Lawrence Mandel, IBM
 */
public class ServiceEndpointImpl extends ElementInfoItemImpl implements ServiceEndpoint
{
  protected Binding binding = null;
  /**
   * @see org.eclipse.wsdl20.model.ServiceEndpoint#getBinding()
   * @see #setBinding(Binding)
   */
  public Binding getBinding()
  {
    return binding;
  }

  /**
   * Set the binding for this service endpoint.
   * 
   * @param binding The binding to set for this service endpoint.
   * @see #getBinding()
   */
  public void setBinding(Binding binding)
  {
    this.binding = binding;
  }
  /**
   * @see org.eclipse.wsdl20.model.ElementInfoItem#getQName()
   */
  public QName getQName()
  {
    return Constants.Q_ELEM_ENDPOINT;
  }

}
