/**
 * <copyright>
 *
 * Copyright (c) 2002-2003 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Contributors:
 *   IBM - Initial API and implementation
 *
 * </copyright>
 */
package org.eclipse.wsdl20.model.xml.impl;

import javax.xml.namespace.QName;

import org.w3c.dom.Element;
import org.w3c.dom.Node;

/**
 * Utility class to help the reader create a WSDL document.
 * 
 * @author Lawrence Mandel, IBM
 */
public class ReaderUtils
{
  /**
   * Returns true if name1 and name2 have the same local name and namespace.
   * 
   * @param name1 The first QName for the comparison.
   * @param name2 The second QName for the comparison.
   * @return True if name1 and name2 are equal, false otherwise.
   */
  public static boolean qnameEquals(QName name1, QName name2)
  {
    if(name1.getLocalPart().equals(name2.getLocalPart()) && name1.getNamespaceURI().equals(name2.getNamespaceURI()))
    {
      return true;
    }
    return false;
  }
  
  /**
   * Given a node cast it to an element if it is one or return null.
   * 
   * @param node The node to cast to an element.
   * @return An element from the node given.
   */
  public static Element getElement(Node node)
  {
    Element element = null;
    try
    {
      element = (Element)node;
    }
    catch(Exception e)
    {
      
    }
    return element;
  }
}
