/**
 * <copyright>
 *
 * Copyright (c) 2002-2003 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Contributors:
 *   IBM - Initial API and implementation
 *
 * </copyright>
 */
package org.eclipse.wsdl.validate.internal;

import org.eclipse.wsdl.validate.ValidationInfo;

/**
 * An interface for the validation info that allows for starting and
 * completing WSDL and WS-I validation.
 * 
 * @author Lawrence Mandel, IBM
 */
public interface ControllerValidationInfo extends ValidationInfo
{
  
  /**
   * Perform the necessary steps to complete WSDL validation.
   */
  public void completeWSDLValidation();
  
//  /**
//   * Perform the necessary steps to complete WS-I WSDL validation.
//   */
//  public void completeWSIValidation();
  
}
