/**
 * <copyright>
 *
 * Copyright (c) 2002-2003 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Contributors:
 *   IBM - Initial API and implementation
 *
 * </copyright>
 */
package org.eclipse.wsdl.validate.resolver;

/**
 * An interface for the WSDL validator's URI resolver mechanism. The URI resolver
 * is used to find the location of an entity.
 * 
 * @author Lawrence Mandel, IBM
 */
public interface IURIResolver
{
 /**
  * Resolve the location of the entity described by the publicId and systemId.
  * 
  * @param baseLocation The location of the resource that contains the uri.
  * @param publicId An optional public identifier (i.e. namespace name), or null if none.
  * @param systemId An absolute or relative URI, or null if none.
  * @return An absolute URI for the resource.
  */
  public String resolve(String baseLocation, String publicId, String systemId);
}
