/**
 * <copyright>
 *
 * Copyright (c) 2002-2003 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Contributors:
 *   IBM - Initial API and implementation
 *
 * </copyright>
 */
package org.eclipse.wsdl.validate.wsdl20;

import java.util.List;
import java.util.ResourceBundle;

import org.eclipse.wsdl.validate.ValidationInfo;

/**
 * Interface for a validator plugged into the WSDL 2.0 validator.
 * 
 * @author Lawrence Mandel, IBM
 */
public interface IWSDL20Validator
{
  /**
   * Validate the given element.
   * 
   * @param element The element to validate.
   * @param parents A list of parents of this element.
   * @param valInfo The validation info for the current validation.
   */
  public void validate(Object element, List parents, ValidationInfo valInfo);

  /**
   * Set the resource bundle of the validator.
   * 
   * @param rb The resource bundle to set.
   */
  public void setResourceBundle(ResourceBundle rb);

}
