/**
 * <copyright>
 *
 * Copyright (c) 2002-2003 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Contributors:
 *   IBM - Initial API and implementation
 *
 * </copyright>
 */
package org.eclipse.wsdl.validate.ui.internal.eclipse;

import java.util.Iterator;
import java.util.List;

import org.eclipse.wsdl.validate.ValidationReport;
import org.eclipse.wsdl.validate.resolver.IURIResolver;

/**
 * An internal representation of a WSDL validator for Eclipse.
 * @author Lawrence Mandel, IBM
 */
public class WSDLValidator 
{
	private static WSDLValidator instance = null;
	
	private org.eclipse.wsdl.validate.WSDLValidator wsdlValidator;
	private WSDLValidator()
	{
	  this.wsdlValidator = new org.eclipse.wsdl.validate.WSDLValidator();
	  URIResolverRegistryReader uriRR = new URIResolverRegistryReader();
	  List resolvers = uriRR.readRegistry();
	  Iterator resolverIter = resolvers.iterator();
	  while(resolverIter.hasNext())
	  {
	  	IURIResolver resolver = (IURIResolver)resolverIter.next();
	  	wsdlValidator.addURIResolver(resolver);
	  }
	}
	
	public static WSDLValidator getInstance()
	{
		if(instance == null)
		{
			instance = new WSDLValidator();
		}
		return instance;
	}
	
	public ValidationReport validate(String fileURI)
	{
		return wsdlValidator.validate(fileURI);
	}

}
