/**
 * <copyright>
 *
 * Copyright (c) 2002-2003 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Contributors:
 *   IBM - Initial API and implementation
 *
 * </copyright>
 */
package org.eclipse.wsi.test.tools.util.document;

import org.wsi.test.report.Report;
import org.wsi.test.report.ReportWriter;

import org.eclipse.wsi.test.tools.util.report.ReportImpl;
import org.eclipse.wsi.test.tools.util.report.ReportNoWriterImpl;

/**
 * DocumentFactoryImpl
 * 
 * Extends the WS-I Test Tools document factory to specify specific Report
 * and ReportWriter classes needed for inclusion of the tools in WSAD.
 */
public class DocumentFactoryImpl extends org.wsi.test.document.impl.DocumentFactoryImpl
{

  /**
   * Constructor for DocumentFactoryImpl.
   */
  public DocumentFactoryImpl()
  {
    super();
  }

  /**
   * Create a new instance of a DocumentWriter.
   */
  public ReportWriter newReportWriter()
  {
    // Return implementation
    return new ReportNoWriterImpl();
  }

  /**
   * Create report.
   * @return newly created report.
   */
  public Report newReport()
  {
    return new ReportImpl();
  }

}
