/**
 * <copyright>
 *
 * Copyright (c) 2002-2003 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Contributors:
 *   IBM - Initial API and implementation
 *
 * </copyright>
 */
package org.eclipse.wsi.test.tools.util.report;

import java.io.IOException;
import java.io.Reader;
import java.io.Writer;

import org.w3c.dom.Document;
import org.wsi.WSIException;
import org.wsi.test.report.Report;

/**
 * WS-I conformance test ReportWriter for wsi plugin.
 * This ReportWriter writes nothing so no report file will be created.
 */
public class ReportNoWriterImpl implements org.wsi.test.report.ReportWriter
{

  /**
   * @see java.lang.Object#Object()
   */
  public ReportNoWriterImpl()
  {
  }

  /* (non-Javadoc)
   * @see org.wsi.test.document.DocumentWriter#getDocument()
   */
  public Document getDocument() throws UnsupportedOperationException
  {
    throw new UnsupportedOperationException();
  }

  /* (non-Javadoc)
   * @see org.wsi.test.document.DocumentWriter#setWriter(String)
   */
  public void setWriter(String documentLocation) throws IOException
  {
  }

  /* (non-Javadoc)
   * @see org.wsi.test.document.DocumentWriter#write(Reader)
   */
  public void write(Reader reader) throws WSIException, IllegalStateException
  {
  }

  /* (non-Javadoc)
   * @see org.wsi.test.document.DocumentWriter#write(Reader, Writer)
   */
  public void write(Reader reader, Writer writer) throws WSIException
  {
  }

  /* (non-Javadoc)
   * @see org.wsi.test.report.ReportWriter#write(Report)
   */
  public void write(Report report) throws IllegalStateException
  {
  }

  /* (non-Javadoc)
   * @see org.wsi.test.report.ReportWriter#write(Report, Writer)
   */
  public void write(Report report, Writer writer)
  {
  }

  /* (non-Javadoc)
   * @see org.wsi.test.document.DocumentWriter#close()
   */
  public void close() throws WSIException, IllegalStateException
  {
  }
}
