/**
 * <copyright>
 *
 * Copyright (c) 2002-2003 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Contributors:
 *   IBM - Initial API and implementation
 *
 * </copyright>
 */
package org.wsi.test.analyzer.config;

import org.wsi.WSIConstants;
import org.wsi.test.document.DocumentElement;

import javax.xml.namespace.QName;

/**
 * The interface for a reference to a description artifact.  
 * 
 * @version 1.0.1
 * @author Peter Brittenham  (peterbr@us.ibm.com)
 */
public interface WSDLReference extends DocumentElement
{
  /**
   * Element name.
   */
  public static final String ELEM_NAME = WSIConstants.ELEM_WSDL_REFERENCE;

  /**
   * QName.
   */
  public static final QName QNAME =
    new QName(WSIConstants.NS_URI_WSI_ANALYZER_CONFIG, ELEM_NAME);

  /**
   * Get WSDL element.
   * @return WSDL element.
   * @see #setWSDLElement
   */
  public WSDLElement getWSDLElement();

  /**
   * Set WSDL element.
   * @param wsdlElement WSDL element.
   * @see #getWSDLElement
   */
  public void setWSDLElement(WSDLElement wsdlElement);

  /**
   * Get WSDL location.
   * @return WSDL location.
   * @see #setWSDLLocation
   */
  public String getWSDLLocation();

  /**
   * Set WSDL location.
   * @param wsdlLocation WSDL location.
   * @see #getWSDLLocation
   */
  public void setWSDLLocation(String wsdlLocation);

  /**
   * Get service location.
   * @return service location.
   * @see #setServiceLocation
   */
  public String getServiceLocation();

  /**
   * Set service location.
   * @param serviceLocation service location.
   * @see #getServiceLocation
   */
  public void setServiceLocation(String serviceLocation);
}
