/**
 * <copyright>
 *
 * Copyright (c) 2002-2003 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Contributors:
 *   IBM - Initial API and implementation
 *
 * </copyright>
 */
package org.wsi.test.document;

/**
 * Defines the interface used to read the Conformance XML documents.
 * 
 * @version 1.0.1
 * @author Peter Brittenham (peterbr@us.ibm.com)
 */
public interface DocumentReader
{
  /**
   * Get document location.
   * @return document location.
   * @see #setLocation
   */
  public String getLocation();

  /**
   * Set document location.
   * @param documentURI document location.
   * @see #getLocation
   */
  public void setLocation(String documentURI);
}
