/**
 * <copyright>
 *
 * Copyright (c) 2002-2003 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Contributors:
 *   IBM - Initial API and implementation
 *
 * </copyright>
 */
package org.wsi.test.log.impl;

import java.io.Writer;

import org.wsi.WSIException;
import org.wsi.test.document.impl.DocumentWriterImpl;
import org.wsi.test.log.Log;
import org.wsi.test.log.LogWriter;

/**
 * Defines the implementation used to write the Log file.
 * 
 * @version 1.0.1
 * @author Neil Delima (nddelima@ca.ibm.com)
 * @author Peter Brittenham (peterbr@us.ibm.com)
 */
public class LogWriterImpl extends DocumentWriterImpl implements LogWriter
{
  /**
   * @see org.wsi.test.log.LogWriter#write(Log)
   */
  public synchronized void write(Log log)
    throws IllegalStateException, WSIException
  {
    // If the writer was not specified, then throw an exception
    if (writer == null)
      throw new IllegalStateException("Could not write log file since writer was not set.");

    // Write log file
    write(log, writer);
  }

  /**
   * @see org.wsi.test.log.LogWriter#write(Log, Writer)
   */
  public synchronized void write(Log log, Writer writer) throws WSIException
  {
    // ADD:
    throw new WSIException("Write entire log file function not supported yet.");
  }
}
