/**
 * <copyright>
 *
 * Copyright (c) 2002-2003 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Contributors:
 *   IBM - Initial API and implementation
 *
 * </copyright>
 */
package org.wsi.test.profile;

import org.wsi.WSIException;
import org.wsi.test.document.DocumentReader;
import org.wsi.test.profile.ProfileAssertions;

import java.io.Reader;

/**
 * Defines the interface used to read a profile assertions documents.
 * 
 * @version 1.0.1
 * @author Peter Brittenham (peterbr@us.ibm.com)
 */
public interface ProfileAssertionsReader extends DocumentReader
{
  /**
   * Read the profile assertions file.
   * @param assertionsURI he profile assertions file location.
   * @return the ProfileAssertions object.
   * @throws WSIException if problem occur while reading the file.
   */
  public ProfileAssertions readProfileAssertions(String assertionsURI)
    throws WSIException;

  /**
   * Read the profile assertions  file.
   * @param reader a Reader object.
   * @return the ProfileAssertions object.
   * @throws WSIException  if problem occur while reading the file.
   */
  public ProfileAssertions readProfileAssertions(Reader reader)
    throws WSIException;
}
