/**
 * <copyright>
 *
 * Copyright (c) 2002-2003 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Contributors:
 *   IBM - Initial API and implementation
 *
 * </copyright>
 */
package org.wsi.test.profile.validator.impl;

import javax.wsdl.Binding;
import javax.wsdl.BindingFault;
import javax.wsdl.BindingInput;
import javax.wsdl.BindingOperation;
import javax.wsdl.BindingOutput;
import javax.wsdl.Definition;
import javax.wsdl.Fault;
import javax.wsdl.Import;
import javax.wsdl.Input;
import javax.wsdl.Message;
import javax.wsdl.Operation;
import javax.wsdl.Output;
import javax.wsdl.Part;
import javax.wsdl.Port;
import javax.wsdl.PortType;
import javax.wsdl.Service;
import javax.wsdl.Types;
import javax.wsdl.extensions.ExtensibilityElement;
import javax.wsdl.extensions.soap.SOAPBinding;
import javax.wsdl.extensions.soap.SOAPBody;
import javax.wsdl.extensions.soap.SOAPFault;
import javax.wsdl.extensions.soap.SOAPHeader;
import javax.wsdl.extensions.soap.SOAPHeaderFault;
import javax.wsdl.extensions.soap.SOAPOperation;

import org.w3c.dom.Element;
import org.wsi.wsdl.traversal.WSDLTraversalContext;
import org.wsi.wsdl.traversal.WSDLVisitor;


/**
 * Process assertion using WSDLVisitor interface.
 */
public abstract class AssertionProcessVisitor
  extends AssertionProcess
  implements WSDLVisitor
{
  private final BaseValidatorImpl base_validator;

  /**
   * @param BaseValidatorImpl
   */
  public AssertionProcessVisitor(BaseValidatorImpl impl)
  {
    super(impl);
    this.base_validator = impl;
  }
  
  public void visit(Part obj, Object parent, WSDLTraversalContext ctx)
  {
  }
  public void visit(Service obj, Object parent, WSDLTraversalContext ctx)
  {
  }
  public void visit(Types obj, Object parent, WSDLTraversalContext ctx)
  {
  }
  public void visit(Operation obj, Object parent, WSDLTraversalContext ctx)
  {
  }
  public void visit(Input obj, Object parent, WSDLTraversalContext ctx)
  {
  }
  public void visit(Output obj, Object parent, WSDLTraversalContext ctx)
  {
  }
  public void visit(Fault obj, Object parent, WSDLTraversalContext ctx)
  {
  }
  public void visit(Binding obj, Object parent, WSDLTraversalContext ctx)
  {
  }
  public void visit(
    BindingOperation obj,
    Object parent,
    WSDLTraversalContext ctx)
  {
  }
  public void visit(
    BindingInput obj,
    Object parent,
    WSDLTraversalContext ctx)
  {
  }
  public void visit(
    BindingOutput obj,
    Object parent,
    WSDLTraversalContext ctx)
  {
  }
  public void visit(
    BindingFault obj,
    Object parent,
    WSDLTraversalContext ctx)
  {
  }
  public void visit(Import obj, Object parent, WSDLTraversalContext ctx)
  {
  }
  public void visit(Element obj, Object parent, WSDLTraversalContext ctx)
  {
  }
  public void visit(Message obj, Object parent, WSDLTraversalContext ctx)
  {
  }
  public void visit(Port obj, Object parent, WSDLTraversalContext ctx)
  {
  }
  public void visit(PortType obj, Object parent, WSDLTraversalContext ctx)
  {
  }
  public void visit(Definition obj, Object parent, WSDLTraversalContext ctx)
  {
  }
  public void visit(
    ExtensibilityElement obj,
    Object parent,
    WSDLTraversalContext ctx)
  {
  }
  public void visit(SOAPBinding obj, Object parent, WSDLTraversalContext ctx)
  {
  }
  public void visit(SOAPBody obj, Object parent, WSDLTraversalContext ctx)
  {
  }
  public void visit(SOAPHeader obj, Object parent, WSDLTraversalContext ctx)
  {
  }
  public void visit(
    SOAPHeaderFault obj,
    Object parent,
    WSDLTraversalContext ctx)
  {
  }
  public void visit(SOAPFault obj, Object parent, WSDLTraversalContext ctx)
  {
  }
  public void visit(
    SOAPOperation obj,
    Object parent,
    WSDLTraversalContext ctx)
  {
  }
}