/**
 * <copyright>
 *
 * Copyright (c) 2002-2003 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Contributors:
 *   IBM - Initial API and implementation
 *
 * </copyright>
 */
package org.wsi.test.profile.validator.impl.wsdl;

import org.wsi.WSIException;
import org.wsi.test.profile.TestAssertion;
import org.wsi.test.profile.validator.EntryContext;
import org.wsi.test.report.AssertionResult;

/**
 * AP2904
 * <context>For a candidate wsdl:binding with at least one mime:content element</context>
 * <assertionDescription>The part attribute of each mime:content element in a wsdl:binding
 * does not reference a sub-component of a wsdl:part of the wsdl:message that is present in the
 * respective wsdl:input or wsdl:output of the corresponding wsdl:operation of the corresponding
 * wsdl:portType.</assertionDescription>
 */
public class AP2904 extends AP2903
{
  private final WSDLValidatorImpl validator;

  /**
   * @param WSDLValidatorImpl
   */
  public AP2904(WSDLValidatorImpl impl)
  {
    super(impl);
    this.validator = impl;
  }

  /* Validates the test assertion.
  * @see org.wsi.test.profile.validator.impl.BaseValidatorImpl.AssertionProcess#validate(org.wsi.test.profile.TestAssertion, org.wsi.test.profile.validator.EntryContext)
  */
  public AssertionResult validate(
    TestAssertion testAssertion,
    EntryContext entryContext)
    throws WSIException
  {
    // Return assertion result
    return super.validate(testAssertion, entryContext);
  }
}